Spaces method and path for this operation:
put /s/{space_id}/api/entity_analytics/monitoring/users/{id}
Refer to Spaces for more information.
Updates the details of an existing monitored privileged user by their document ID.
PUT
/api/entity_analytics/monitoring/users/{id}
curl \
--request PUT 'https://<KIBANA_URL>/api/entity_analytics/monitoring/users/{id}' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"entity_analytics_monitoring":{"labels":[{"field":"department","source":"api","value":"Security"}]},"user":{"is_privileged":true,"name":"john.doe"}}'
Request example
{
"entity_analytics_monitoring": {
"labels": [
{
"field": "department",
"source": "api",
"value": "Security"
}
]
},
"user": {
"is_privileged": true,
"name": "john.doe"
}
}
Response examples (200)
{
"@timestamp": "2026-01-28T12:00:00.000Z",
"entity_analytics_monitoring": {
"labels": [
{
"field": "department",
"source": "api",
"value": "Security"
}
]
},
"event": {
"ingested": "2026-01-28T12:00:00.000Z"
},
"id": "user-abc-123",
"user": {
"is_privileged": true,
"name": "john.doe"
}
}